<?php 
    // Displays H1 or DIV based on whether we are on the home page or not (SEO)
    $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div';
    
    if ( 1 == get_theme_mod( 'logo_check', 1) ) {    
        $class="graphic";
        echo '<a class="brand" href="'.esc_url( home_url( '/' ) ).'" title="'.esc_attr( get_bloginfo('name','display')).'" rel="home">'. "\n";
            if (get_theme_mod('retina_logo', get_template_directory_uri() . '/images/logo-smarty-retina@2x.png')) {
                echo '<img style="margin-top: '.get_theme_mod('logo_margin_top','0').'px; " class="brand" src="'.get_theme_mod('retina_logo', get_template_directory_uri() . '/images/logo-smarty-retina@2x.png').'" width="'.get_theme_mod('logo_width','150').'" height="'.get_theme_mod('logo_height','35').'" alt="'.esc_attr( get_bloginfo('name','display')).'" />'. "\n";        
            } else {
                echo '<img style="margin-top: '.get_theme_mod('logo_margin_top','0').'px; " class="brand" src="'.get_theme_mod('main_logo', get_template_directory_uri() . '/images/logo-smarty.png').'" width="'.get_theme_mod('logo_width','150').'" height="'.get_theme_mod('logo_height','35').'" alt="'.esc_attr( get_bloginfo('name','display')).'" />'. "\n";
            }
        echo '</a>'. "\n";
    } else {
        $class="text"; 
        echo '<'.$heading_tag.' id="site-title" class="'.$class.'"><a class="brand" href="'.esc_url( home_url( '/' ) ).'" title="'.esc_attr( get_bloginfo('name','display')).'" rel="home">'.get_bloginfo('name').'</a></'.$heading_tag.'>'. "\n";     
    } 
        
    if ( 1 == get_theme_mod( 'tagline_check', 0) ) {
        echo '<small class="visible-desktop visible-tablet '.$class.'">'.get_bloginfo('description').'</small>'. "\n";
    }
    
?>