<?php
class WPBakeryShortCode_gg_Widget_Wc_Products extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('widget_wc_products', array($this, 'gg_widget_wc_products'));  
   }

   public function gg_widget_wc_products( $atts, $content = null ) { 

         $output = $title = $monday_friday = $saturday = $sunday = $other_details = '';
         extract(shortcode_atts(array(
             'title'        => '',
             'number'  => '',
             'show'  => '',
             'orderby'  => '',
             'order'     => '',
             'show_rating'     => ''
         ), $atts));

         $output = '<div class="vc_widget vc_widget_wc_products">';
         $type = 'WC_Widget_Products';
         $args = array();

         ob_start();
         the_widget( $type, $atts, $args );
         $output .= ob_get_clean();

         $output .= '</div>';

         return $output;
   }
}

$WPBakeryShortCode_gg_Widget_Wc_Products = new WPBakeryShortCode_gg_Widget_Wc_Products();


vc_map( array(
   "name" => __("Widget: Products", "okthemes"),
   "description" => __('Display a list of woocommerce products.', 'okthemes'),
   "base" => "widget_wc_products",
   "class" => "woocommerce",
   "weight" => -50,
   "icon" => "icon-wpb-gg_woo_icon",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   "category" => __('Woocommerce', 'okthemes'),
   "params" => array(
      array(
         "type" => "textfield",
         "heading" => __("Title", "okthemes"),
         "param_name" => "title",
         "description" => __("Insert title here", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Number", "okthemes"),
         "param_name" => "number",
         "admin_label" => true,
         "description" => __("Number of products to display", "okthemes")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Show", "okthemes"),
         "param_name" => "show",
         "value" => array(__("All products", "okthemes") => "", __("Featured Products", "okthemes") => "featured", __("On-sale Products", "okthemes") => "onsale"),
         "description" => __("Select what to display", "okthemes")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Order by", "okthemes"),
         "param_name" => "orderby",
         "value" => array(__("Date", "okthemes") => "date", __("Price", "okthemes") => "price", __("Random", "okthemes") => "rand", __("Sales", "okthemes") => "sales"),
         "description" => __("Order the products by", "okthemes")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Order", "okthemes"),
         "param_name" => "order",
         "value" => array(__("ASC", "okthemes") => "asc", __("DESC", "okthemes") => "desc"),
         "description" => __("Products order", "okthemes")
      ),
      array(
         "type" => "checkbox",
         "heading" => __("Hide free products?", "okthemes"),
         "value" => array(__("Hide the free products", "okthemes") => "0" ),
         "param_name" => "hide_free"
      ),
      array(
         "type" => "checkbox",
         "heading" => __("Show hidden products?","okthemes"),
         "value" => array(__("Show hidden products", "okthemes") => "0" ),
         "param_name" => "show_hidden"
      ),

   )
) );

?>