<?php
/**
 * The loop that displays a single portfolio post.
 *
 */
?>


<?php
$portfolio_inner_layout = get_theme_mod('portfolio_inner_page_style','right');
switch ($portfolio_inner_layout) {
    case "left":
        $port_content_class = 'col-xs-12 col-md-8 pull-right';
        $port_sidebar_class = 'col-xs-12 col-md-4 pull-left';
        break;
    case "right":
        $port_content_class = 'col-xs-12 col-md-8 pull-left';
        $port_sidebar_class = 'col-xs-12 col-md-4 pull-right';
        break;
    case "fullwidth":
        $port_content_class = 'col-xs-12 col-md-12';
        $port_sidebar_class = 'col-xs-12 col-md-12';
        break;        
}

?>

<div class="<?php echo $port_content_class; ?>">
	
    <?php 
    $port_post_slideshow_image = rwmb_meta( 'gg_port_post_slideshow_image', 'type=plupload_image&size=full');

	//Load carousel
	wp_enqueue_script('owlcarousel');
	wp_enqueue_script('magnific');

    if($port_post_slideshow_image){ ?>
		<div id="post-format-gallery-owl" 
            class="owl-carousel"
            data-slides-per-view = "1"
            data-single-item = "true"
            data-transition-slide = "fade"
            data-navigation-owl = "true"
            data-pagination-owl = "true"
            data-autoplay = "false"
            data-rewind = "true"
            data-speed = "5000",
            data-height = "true"
            >

			<?php foreach ( $port_post_slideshow_image as $portfolio_slideshow_image ) { ?>
			
			<div class="post-image">			
				<?php echo "<img class='img-rounded' src='{$portfolio_slideshow_image['full_url']}' alt='{$portfolio_slideshow_image['alt']}' />"; ?>
			</div>

			<?php } ?>
		</div><!-- /.carousel .slide -->
	<?php } ?>

	<?php if ($portfolio_inner_layout != 'fullwidth') : ?>       
    	<?php the_content(); ?>
    	<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'okthemes' ), 'after' => '</div>' ) ); ?>
	<?php endif; ?>

</div><!-- /.col-xs-12 .col-md-8 -->

<div class="<?php echo $port_sidebar_class; ?>">

    <?php 
	$port_post_meta_desc_title = rwmb_meta( 'gg_port_post_meta_desc_title');
	$port_post_meta_desc_text = rwmb_meta( 'gg_port_post_meta_desc_text');
	$port_post_meta_btn_title = rwmb_meta( 'gg_port_post_meta_btn_title');
	$port_post_meta_btn_url = rwmb_meta( 'gg_port_post_meta_btn_url');
	$port_post_e_d_meta = rwmb_meta( 'gg_port_post_e_d_meta');
	$port_post_e_d_share = rwmb_meta( 'gg_port_post_e_d_share');
	?>

 	<?php if ( $port_post_e_d_meta == true ) : ?>
		<div class="project-meta">
			<div class="row">
				<div class="col-xs-12 col-md-10 portfolio-terms-links">
					<?php echo portfolio_taxonomies_terms_links(); ?>
				</div>

				<div class="col-xs-12 col-md-2">
				<?php
					//Show love it button
		    		if( function_exists('gg_love_this') ) gg_love_this("pull-right");
				?>
				</div>
			</div>
		</div>
	<?php endif; ?>


	<?php if ( $port_post_e_d_share == true ) : ?>
		<?php get_template_part( 'parts/part', 'socialshare' ); ?>
    <?php endif; ?>

    <div class="clearfix"></div>

    <?php if ((!empty($port_post_meta_desc_title)) || (!empty($port_post_meta_desc_text))) : ?>
		<div class="project-description">
		  <h5><?php echo $port_post_meta_desc_title; ?></h5>
		  <?php echo $port_post_meta_desc_text; ?>
		</div>
	<?php endif; ?>
    
	<?php if ((!empty($port_post_meta_btn_url)) || (!empty($port_post_meta_btn_title))) : ?>
		<div class="project-details">
			<p><a class="btn btn-primary" href="<?php echo $port_post_meta_btn_url; ?>"><?php echo $port_post_meta_btn_title; ?></a></p>
		</div>
	<?php endif; ?>

</div><!-- /.col-xs-12 .col-md-4 -->

<?php 
if ($portfolio_inner_layout == 'fullwidth') : 
?>
<div class="clearfix"></div>
<div class="col-xs-12 col-md-12 portfolio-single-fullwidth-content<?php if(trim($post->post_content) == '' ) echo 'no-content'; ?>">
	<?php the_content(); ?>
	<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'okthemes' ), 'after' => '</div>' ) ); ?>
</div>
<?php endif; ?>
